For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounts

Get Accounts

get
/v1/accounts

Retrieve a list of accounts with optional filtering and pagination.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
accountStatusstring · enumOptional

Filter accunts by status

Possible values:
accountTypestring · enumOptional

Filter account by type

Possible values:
createDateStartstring · date-timeOptional

Filter account by creation date lower bound, exclusive

createDateEndstring · date-timeOptional

Filter accounts by creation date upper bound, inclusive

recentCreditHistorystring · enumOptionalPossible values:
customerIdstring · uuidOptional

Filter accounts by customer ID

afterstringOptional

When provided, specifies the last item returned in previous page, used to fetch the next page. Fetches the first page when omitted.

limitstring · integerOptional

When provided, specifies the number of items to return in the page. Uses default page size of 10 when omitted.

sortFieldstring · enumOptional

Will sort the returned data using the specified field.

Possible values:
sortDirectionstring · enumOptional

Specifies the sort direction for the sortField.

Possible values:
Responses
200

OK

application/json
afterstring · nullableOptional

The token of the last item in the response

totalCountintegerOptional

The total number of items in the entire filtered data set

Example: 1
get/v1/accounts
GET /api/v1/accounts HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "after": "text",
  "totalCount": 1,
  "items": [
    {
      "accountId": "123e4567-e89b-12d3-a456-426614174000",
      "accountStatus": "ACTIVE",
      "accountType": "CREDIT",
      "createDate": "2026-01-01T00:00:00.000Z",
      "credit": {
        "creditCurrency": "USD",
        "creditLimit": "40000",
        "utilizedCredit": "39592.01",
        "unutilizedCredit": "407.99"
      },
      "assets": [
        {
          "asset": "BTC",
          "tradeBalance": "0",
          "custodyBalance": "0",
          "pendingSettlement": "0",
          "open": "0",
          "availableToWithdraw": "0"
        }
      ],
      "recentCreditHistory": [
        {
          "creditLimitRequested": "10000.00",
          "newCreditLimit": "10000.00",
          "action": "INCREASE",
          "updatedAt": "2024-08-01T18:44:05Z"
        }
      ]
    }
  ]
}

Create Account

post
/v1/accounts

Creates a new trading account for an active, onboarded customer using the tenant default account type (CASH or CREDIT).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-Request-IdstringOptional

A client-supplied unique identifier for this request, used for safely retrying and deduplicating operations. When the same X-Request-Id is sent with multiple identical requests within a defined time window, the server treats them as the same logical operation and will not perform the side effect more than once. Instead, it will return the original result associated with that identifier, if available. The client should generate a collision-resistant value (for example, a UUID) and reuse it only when retrying the same operation.

Body
customerIdstring · uuidRequired

Customer to attach the new account to

Responses
200

OK

application/json
post/v1/accounts
POST /api/v1/accounts HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "customerId": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "accountStatus": "CREATING",
  "accountType": "CREDIT",
  "credit": {
    "creditCurrency": "USD",
    "creditLimit": null,
    "utilizedCredit": "0.00",
    "unutilizedCredit": "0.00"
  },
  "assets": []
}

Last updated